## org.apache.tools.ant.taskdefs.optional.extension
Interface ExtensionResolver

All Known Implementing Classes:
  AntResolver, LocationResolver, URLResolver

public interface ExtensionResolver

Interface to locate a File that satisfies extension.

Version:
  $Revision: 1.2.2.2 $ $Date: 2003/02/10 14:25:08 $
Author:
  Peter Donald, Jeff Turner

Method Summary
`java.io.File` `resolve(Extension extension, Project project)` Attempt to locate File that satisfies extension via resolver.

Method Detail

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Attempt to locate File that satisfies extension via resolver.

  Parameters:
    `extension` - the extension
  Returns:
    the File satisfying extension, null if can not resolve extension
  Throws:
    `BuildException` - if error occurs attempting to resolve extension

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.